CSFML
Macros | Typedefs
Config.h File Reference

Go to the source code of this file.

## Macros

#define | CSFML_VERSION_MAJOR 2
#define | CSFML_VERSION_MINOR 4
#define | CSFML_VERSION_PATCH 0
#define | CSFML_EXTERN_C extern
#define | CSFML_API_EXPORT extern "C"
#define | CSFML_API_IMPORT CSFML_EXTERN_C
#define | CSFML_DEPRECATED
#define | sfFalse 0
#define | sfTrue 1

## Typedefs

typedef int | sfBool
typedef signed char | sfInt8
typedef unsigned char | sfUint8
typedef signed short | sfInt16
typedef unsigned short | sfUint16
typedef signed int | sfInt32
typedef unsigned int | sfUint32
typedef signed long long | sfInt64
typedef unsigned long long | sfUint64

## Macro Definition Documentation

## ◆ CSFML_API_EXPORT

#define CSFML_API_EXPORT extern "C"

Definition at line 106 of file Config.h.

## ◆ CSFML_API_IMPORT

#define CSFML_API_IMPORT CSFML_EXTERN_C

Definition at line 107 of file Config.h.

## ◆ CSFML_DEPRECATED

#define CSFML_DEPRECATED

Definition at line 146 of file Config.h.

## ◆ CSFML_EXTERN_C

#define CSFML_EXTERN_C extern

Definition at line 43 of file Config.h.

## ◆ CSFML_VERSION_MAJOR

#define CSFML_VERSION_MAJOR 2

Definition at line 32 of file Config.h.

## ◆ CSFML_VERSION_MINOR

#define CSFML_VERSION_MINOR 4

Definition at line 33 of file Config.h.

## ◆ CSFML_VERSION_PATCH

#define CSFML_VERSION_PATCH 0

Definition at line 34 of file Config.h.

## ◆ sfFalse

#define sfFalse 0

Definition at line 154 of file Config.h.

## ◆ sfTrue

#define sfTrue 1

Definition at line 155 of file Config.h.

## Typedef Documentation

## ◆ sfBool

typedef int sfBool

Definition at line 153 of file Config.h.

## ◆ sfInt16

typedef signed short sfInt16

Definition at line 171 of file Config.h.

## ◆ sfInt32

typedef signed int sfInt32

Definition at line 175 of file Config.h.

## ◆ sfInt64

typedef signed long long sfInt64

Definition at line 183 of file Config.h.

## ◆ sfInt8

typedef signed char sfInt8

Definition at line 167 of file Config.h.

## ◆ sfUint16

typedef unsigned short sfUint16

Definition at line 172 of file Config.h.

## ◆ sfUint32

typedef unsigned int sfUint32

Definition at line 176 of file Config.h.

## ◆ sfUint64

typedef unsigned long long sfUint64

Definition at line 184 of file Config.h.

## ◆ sfUint8

typedef unsigned char sfUint8

Definition at line 168 of file Config.h.